Doing a sweep up a spiral problem

brad.bylls
Collaborator

Doing a sweep up a spiral problem

brad.bylls
Collaborator
Collaborator

Since the API does not have the ability to do a coil, I have created a spiral and a sketch to make the coil.

However, it does not work properly.

error.png

It starts out as a simple rectangle at the bottom, but as it goes up the path it twists.

I have tried ParallelOrientationType also, but that does not work either.

Below is the code to create the sweep.

 

    # Create a sweep input
    sweeps = newComp.features.sweepFeatures
    sweepInput = sweeps.createInput(profmyPathadsk.fusion.FeatureOperations.NewBodyFeatureOperation)
    sweepInput.orientation = adsk.fusion.SweepOrientationTypes.PerpendicularOrientationType
 
Any help appreciated.
Thank you.
Brad Bylls
0 Likes
Reply
Accepted solutions (1)
320 Views
2 Replies
Replies (2)

nnikbin
Collaborator
Collaborator
Accepted solution

@brad.bylls , You can use a scaled version of your path as a guideRail. It works in UI, so I guess it works with API too.

 

In the following sample, the profile width is 10mm, the profile path radius is 25mm and the guiderail radius is 30mm. So:

guiderailRadius = profileWidth / 2 + pathRadius

 

Maybe it's better to use none for profile scaling so we do not have to worry about guideRail radius.

 

49.gif

0 Likes

brad.bylls
Collaborator
Collaborator

That did it.

Thanks so much.

Brad Bylls
1 Like